clean up the directory layout of the uci shell api
authorFelix Fietkau <nbd@openwrt.org>
Wed, 30 Jul 2008 19:25:36 +0000 (19:25 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Wed, 30 Jul 2008 19:25:36 +0000 (19:25 +0000)
SVN-Revision: 12022

package/uci/Makefile
package/uci/files/lib/config/uci.sh [new file with mode: 0644]
package/uci/files/uci/lib/config/uci.sh [deleted file]

index 1cf6dd8..3214c20 100644 (file)
@@ -74,7 +74,7 @@ define Package/uci/install
        $(INSTALL_DIR) $(1)/etc/uci-defaults
        $(INSTALL_DIR) $(1)/sbin
        $(INSTALL_BIN) $(PKG_BUILD_DIR)/uci $(1)/sbin/
-       $(CP) ./files/uci/* $(1)/
+       $(CP) ./files/* $(1)/
 endef
 
 define Build/InstallDev
diff --git a/package/uci/files/lib/config/uci.sh b/package/uci/files/lib/config/uci.sh
new file mode 100644 (file)
index 0000000..c226f4f
--- /dev/null
@@ -0,0 +1,107 @@
+#!/bin/sh
+# Shell script compatibility wrappers for /sbin/uci
+#
+# Copyright (C) 2008  Felix Fietkau <nbd@openwrt.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+uci_load() {
+       local PACKAGE="$1"
+       local DATA
+       local RET
+
+       _C=0
+       if [ -z "$CONFIG_APPEND" ]; then
+               export ${NO_EXPORT:+-n} CONFIG_SECTIONS=
+               export ${NO_EXPORT:+-n} CONFIG_NUM_SECTIONS=0
+               export ${NO_EXPORT:+-n} CONFIG_SECTION=
+       fi
+
+       DATA="$(/sbin/uci ${LOAD_STATE:+-P /var/state} -S -n export "$PACKAGE" 2>/dev/null)"
+       RET="$?"
+       [ "$RET" != 0 -o -z "$DATA" ] || eval "$DATA"
+       unset DATA
+
+       ${CONFIG_SECTION:+config_cb}
+       return "$RET"
+}
+
+uci_set_default() {
+       local PACKAGE="$1"
+       /sbin/uci -q show "$1" > /dev/null && return 0
+       /sbin/uci import "$1"
+       /sbin/uci commit "$1"
+}
+
+uci_revert_state() {
+       local PACKAGE="$1"
+       local CONFIG="$2"
+       local OPTION="$3"
+
+       /sbin/uci -P /var/state revert "$PACKAGE${CONFIG:+.$CONFIG}${OPTION:+.$OPTION}"
+}
+
+uci_set_state() {
+       local PACKAGE="$1"
+       local CONFIG="$2"
+       local OPTION="$3"
+       local VALUE="$4"
+
+       [ -z "$VALUE" ] && return 0
+       /sbin/uci -P /var/state set "$PACKAGE.$CONFIG${OPTION:+.$OPTION}=$VALUE"
+}
+
+uci_set() {
+       local PACKAGE="$1"
+       local CONFIG="$2"
+       local OPTION="$3"
+       local VALUE="$4"
+
+       /sbin/uci set "$PACKAGE.$CONFIG.$OPTION=$VALUE"
+}
+
+uci_add() {
+       local PACKAGE="$1"
+       local TYPE="$2"
+       local CONFIG="$3"
+
+       if [ -z "$CONFIG" ]; then
+               export ${NO_EXPORT:+-n} CONFIG_SECTION="$(/sbin/uci add "$PACKAGE" "$TYPE")"
+       else
+               /sbin/uci set "$PACKAGE.$CONFIG=$TYPE"
+               export ${NO_EXPORT:+-n} CONFIG_SECTION="$CONFIG"
+       fi
+}
+
+uci_rename() {
+       local PACKAGE="$1"
+       local CONFIG="$2"
+       local VALUE="$3"
+
+       /sbin/uci rename "$PACKAGE.$CONFIG=$VALUE"
+}
+
+uci_remove() {
+       local PACKAGE="$1"
+       local CONFIG="$2"
+       local OPTION="$3"
+
+       /sbin/uci del "$PACKAGE.$CONFIG${OPTION:+.$OPTION}"
+}
+
+uci_commit() {
+       local PACKAGE="$1"
+       /sbin/uci commit $PACKAGE
+}
diff --git a/package/uci/files/uci/lib/config/uci.sh b/package/uci/files/uci/lib/config/uci.sh
deleted file mode 100644 (file)
index c226f4f..0000000
+++ /dev/null
@@ -1,107 +0,0 @@
-#!/bin/sh
-# Shell script compatibility wrappers for /sbin/uci
-#
-# Copyright (C) 2008  Felix Fietkau <nbd@openwrt.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-
-uci_load() {
-       local PACKAGE="$1"
-       local DATA
-       local RET
-
-       _C=0
-       if [ -z "$CONFIG_APPEND" ]; then
-               export ${NO_EXPORT:+-n} CONFIG_SECTIONS=
-               export ${NO_EXPORT:+-n} CONFIG_NUM_SECTIONS=0
-               export ${NO_EXPORT:+-n} CONFIG_SECTION=
-       fi
-
-       DATA="$(/sbin/uci ${LOAD_STATE:+-P /var/state} -S -n export "$PACKAGE" 2>/dev/null)"
-       RET="$?"
-       [ "$RET" != 0 -o -z "$DATA" ] || eval "$DATA"
-       unset DATA
-
-       ${CONFIG_SECTION:+config_cb}
-       return "$RET"
-}
-
-uci_set_default() {
-       local PACKAGE="$1"
-       /sbin/uci -q show "$1" > /dev/null && return 0
-       /sbin/uci import "$1"
-       /sbin/uci commit "$1"
-}
-
-uci_revert_state() {
-       local PACKAGE="$1"
-       local CONFIG="$2"
-       local OPTION="$3"
-
-       /sbin/uci -P /var/state revert "$PACKAGE${CONFIG:+.$CONFIG}${OPTION:+.$OPTION}"
-}
-
-uci_set_state() {
-       local PACKAGE="$1"
-       local CONFIG="$2"
-       local OPTION="$3"
-       local VALUE="$4"
-
-       [ -z "$VALUE" ] && return 0
-       /sbin/uci -P /var/state set "$PACKAGE.$CONFIG${OPTION:+.$OPTION}=$VALUE"
-}
-
-uci_set() {
-       local PACKAGE="$1"
-       local CONFIG="$2"
-       local OPTION="$3"
-       local VALUE="$4"
-
-       /sbin/uci set "$PACKAGE.$CONFIG.$OPTION=$VALUE"
-}
-
-uci_add() {
-       local PACKAGE="$1"
-       local TYPE="$2"
-       local CONFIG="$3"
-
-       if [ -z "$CONFIG" ]; then
-               export ${NO_EXPORT:+-n} CONFIG_SECTION="$(/sbin/uci add "$PACKAGE" "$TYPE")"
-       else
-               /sbin/uci set "$PACKAGE.$CONFIG=$TYPE"
-               export ${NO_EXPORT:+-n} CONFIG_SECTION="$CONFIG"
-       fi
-}
-
-uci_rename() {
-       local PACKAGE="$1"
-       local CONFIG="$2"
-       local VALUE="$3"
-
-       /sbin/uci rename "$PACKAGE.$CONFIG=$VALUE"
-}
-
-uci_remove() {
-       local PACKAGE="$1"
-       local CONFIG="$2"
-       local OPTION="$3"
-
-       /sbin/uci del "$PACKAGE.$CONFIG${OPTION:+.$OPTION}"
-}
-
-uci_commit() {
-       local PACKAGE="$1"
-       /sbin/uci commit $PACKAGE
-}